$(function() {
    map = new OpenLayers.Map('map', {});
    var baseLayer = new OpenLayers.Layer.OSM( "Openstreetmap Base Layer");
    map.addLayer(baseLayer);
    var center = new OpenLayers.LonLat(-95, 37.5).transform(
                    new OpenLayers.Projection("EPSG:4326"),
                    map.getProjectionObject()
                ); 
    map.setCenter(center, 4);


    $('#searchForm').submit(function(e) {
        e.preventDefault();
        var bbox = map.getExtent().toBBOX();
        var search_term = $('#search').val();
        $.getJSON("search_json", {
            'bbox': bbox,
            'search': search_term
            }, function(response) {
            console.log(response);
        });
    });
});


